package market.Slm.ContractManagement.vo;

import java.io.Serializable;

import market.Slm.ContractManagement.mapper.SlmContractAnnexMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CONTRACT_ANNEX", namespace=SlmContractAnnexMapper.class)
public class SlmContractAnnex extends BaseVO implements Serializable {
	/**
	 * 合同附件表
	 */
	private static final long serialVersionUID = -7306004284337442121L;
	@Column
	//合同号
	private String contract_no;
	public String  getContract_no() {
		return this.contract_no;
	}
	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	@Id
	//附件编号
	private String annex_no;
	public String  getAnnex_no() {
		return this.annex_no;
	}
	public void setAnnex_no(String annex_no) {
		this.annex_no = annex_no;
	}

	@Column
	//附件名称
	private String annex_name;
	public String  getAnnex_name() {
		return this.annex_name;
	}
	public void setAnnex_name(String annex_name) {
		this.annex_name = annex_name;
	}

	@Column
	//附件别名
	private String annex_other_name;
	public String  getAnnex_other_name() {
		return this.annex_other_name;
	}
	public void setAnnex_other_name(String annex_other_name) {
		this.annex_other_name = annex_other_name;
	}

	@Column
	//附件保存地址
	private String save_path;
	public String  getSave_path() {
		return this.save_path;
	}
	public void setSave_path(String save_path) {
		this.save_path = save_path;
	}

	@Column
	//是否为图片
	private String is_image;
	public String  getIs_image() {
		return this.is_image;
	}
	public void setIs_image(String is_image) {
		this.is_image = is_image;
	}

	@Column
	//附件类型
	private String annex_type;
	public String  getAnnex_type() {
		return this.annex_type;
	}
	public void setAnnex_type(String annex_type) {
		this.annex_type = annex_type;
	}

}
